System.Design 2.0.0.0 System.Object

Each can be enabled and disabled. Only enabled objects will receive hit test and paint messages from the . An can be viewed as a proxy between user-interface related elements, which consist of all objects, and the .

For more information, see Behavior Service Overview.

Manages a collection of user-interface related objects. This class cannot be inherited.

- Constructor
  2.0.0.0

  The constructor creates a new and is enabled, by default.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  System.Windows.Forms.Design.Behavior.BehaviorService To be added.

  When an is added to the of the , the collection sets this property so that the can call back to the .

  Gets or sets the associated with the .

- Property
  2.0.0.0
  System.Boolean To be added.

  If the property is true, the class will send HitTest and Paint messages to the .

  Gets or sets a value indicating if the is enabled.

- Property
  2.0.0.0
  System.Windows.Forms.Design.Behavior.GlyphCollection To be added. To be added.

  Gets the collection.

- Method
  2.0.0.0
  System.Void To be added.

  Forces the to refresh its adorner window.

- Method
  2.0.0.0
  System.Void `` To be added.

  Forces the to refresh its adorner window within the given .

  The area to invalidate.
- Method
  2.0.0.0
  System.Void `` To be added.

  Forces the to refresh its adorner window within the given .

  The to invalidate.